import request from "@/utils/request";

// 查询通报列表
export function listTb(query) {
  return request({
    url: "/zongzhi/tb/list",
    method: "get",
    params: query,
  });
}

// 查询通报详细
export function getTb(id) {
  return request({
    url: "/zongzhi/tb/" + id,
    method: "get",
  });
}

// 新增通报
export function addTb(data) {
  return request({
    url: "/zongzhi/tb",
    method: "post",
    data: data,
  });
}

// 修改通报
export function updateTb(data) {
  return request({
    url: "/zongzhi/tb",
    method: "put",
    data: data,
  });
}

// 删除通报
export function delTb(id) {
  return request({
    url: "/zongzhi/tb/" + id,
    method: "delete",
  });
}

// 导出通报
export function exportTb(data) {
  return request({
    url: "/zongzhi/tb/export",
    method: "post",
    data,
  });
}
